# -*- coding: utf-8 -*-
from setuphelpers import *

app_name = 'DSN-CTL-V24R01'
parts = app_name.split("-")
soft_name = "-".join(parts[:2])
app_dir = makepath(programfiles32, app_name)
app_dir_binaries = app_dir
binary_name = "%s.exe" %app_name

def install():
    #  Uninstalling existing versions
    print(r'Suppression de toutes les versions installées de %s' %soft_name)
    for soft in installed_softwares(soft_name): 
        old_version = soft['key']
        print(r'Désinstallation de %s' %old_version)
        run(WAPT.uninstall_cmd(soft['key']))

    # Installing the software
    print(r"Installation de %s" %binary_name)
    install_exe_if_needed(binary_name,
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='%s_is1' %app_name,
        min_version=control.get_software_version()
    )
    # Create shortcut on public desktop
    create_desktop_shortcut(app_name, target=makepath(app_dir_binaries,binary_name))

def uninstall():
    print(r'Suppression des raccourcis %s sur le bureau Public' %app_name)
    for filename in glob.glob(makepath(r"%s\%s*" %(common_desktop(),soft_name))):
        print(r'Suppression de %s' %filename)
        os.remove(filename)

def audit():
    if isfile(makepath(app_dir_binaries,binary_name)):
        return("OK")
    else:
        return("Erreur : %s est introuvable !" %binary_name)
            
