# -*- coding: utf-8 -*-
from setuphelpers import *

def update_package():
    
    import re,requests,glob
    app_name = 'DSN-CTL-V24R01'

    url = 'https://dsn-ctl.fr/%s.exe' %app_name
    filename = '%s.exe' %app_name

    if not isfile(filename):
        print(r'Downloading  %s from %s'%(filename,url))
        wget(url,filename)

    exes = glob.glob('*.exe')
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    # updates control version from filename, increment package version.
    control = PackageEntry().load_control_from_wapt ('.')
    version_dsn =  get_version_from_binary(filename)
    # Changing version of the package
    control.version = "%s-%s" % (version_dsn, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)

    if __name__ == '__main__':
      update_package()
       
